Subject: Re: bug#73431: Add `setf` support for `stream.el` in ELPA

From: Stefan Monnier <[email-masked]>
Date: Tue, 24 Sep 2024 22:56:14 -0400

> Currently, using `(setf (seq-elt STREAM 0) VAL)` silently fails, because 
> it treats the stream as a list, breaking the stream.

Sounds like a bug, indeed.  But I'd rather fix it by making it fail
cleanly, to preserve the (current) immutability of streams (at least
until we decide that there's a good reason for streams to be mutable).

> On the desire for mutability, there is the included macro `stream-pop`.

`stream-pop` does not mutate the stream.  It only mutates a local
variable (which holds a (reference to a) stream).

        Stefan